<?php
/**
* @version	$Id: email_queue_tp.php 14241 2011-03-16 20:24:35Z alex $
* @package	In-Portal
* @copyright	Copyright (C) 1997 - 2009 Intechnic. All rights reserved.
* @license      GNU/GPL
* In-Portal is Open Source software.
* This means that this software may have been modified pursuant
* the GNU General Public License, and as distributed it includes
* or is derivative of works licensed under the GNU General Public License
* or other free or open source software licenses.
* See http://www.in-portal.org/license for copyright notices and details.
*/

	defined('FULL_PATH') or die('restricted access!');

	class EmailQueueTagProcessor extends kDBTagProcessor {

		function PrintSerializedFields($params)
		{
			$object =& $this->getObject($params);

			$field = $this->SelectParam($params, 'field');
			$data = unserialize( $object->GetDBField($field) );

			$o = '';
			$std_params['name'] = $params['render_as'];
			$std_params['field'] = $params['field'];
			$std_params['pass_params'] = true;

			foreach ($data as $key => $value) {
				$block_params = array_merge($std_params, Array ('key' => $key, 'value' => $value));
				$o .= $this->Application->ParseBlock($block_params);
			}

			return $o;
		}
	}